@import url('https://fonts.googleapis.com/css2?family=Epilogue:wght@200;400;600&family=Sora:wght@100;400;500;700;800&display=swap');
/*
Sora 100, 400 500 700 800
Epilogue 200 400 600
*/


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-size: 16px;
    font-family: 'Sora', sans-serif;
    font-weight: 400;
    line-height: 1.7;
    color: #777;
    background-color: #1c1919;
}


.hatra {
    color: rgb(224, 222, 105);
}
.alacsony {
    color: #f08a84;
}
.kozepes {
    color: rgb(167, 240, 243);
}
.magas {
    color: #1eee41;
}

.beszallitas {
    font-family: 'Sora';
    font-weight: 400;
    line-height: 1.7;
    color: #23a023;
}

.redborder {
    border: 1px solid red;
}

.greenborder {
    border: 1px solid greenyellow;
}


.ujdonsag {
    background-color: #F08C01;
    margin-bottom: 12px;
    font-family: 'Sora', sans-serif;
    font-weight: 800;
    font-size: 1.3rem;
    color: white;
    padding: 6px 3px;
    text-transform: uppercase;
    text-align: center;
    letter-spacing: 0.3rem;
}

@media only screen and (max-width: 768px) {
    .ujdonsag {
        max-width: 10rem;
        font-size: 1rem;
        padding: 6px 0 6px 0;
        letter-spacing: 0.05rem;
        text-align: center;
    }
}

.sorgyar {
    font-family: 'Epilogue', sans-serif;
    color: whitesmoke;
    margin-top: 1.4rem;
}

.sornev {
    font-family: 'Sora', sans-serif;
    font-weight: 900;
    font-size: 3rem;
    color: whitesmoke;
    position: relative;
    top: -1rem;
    text-transform: uppercase;
    letter-spacing: 0.3rem;
    width: 100%;
}

@media only screen and (max-width: 768px) {
    .sornev {
        font-size: 2.2rem;
        letter-spacing: 0.15rem;
    }
    .sorgyar {
    font-size: 1.4rem;
}
}

.leiras {
    font-family: 'Epilogue', sans-serif;
    font-size: 1rem;
    color: whitesmoke;
    position: relative;
}

.details {
    font-family: 'Sora', sans-serif;
    font-weight: 600;
    text-align: center;
    background-color: #f2473d;
    font-size: 1.1rem;
    padding: 5px 10px;
    margin-top: 1rem;
    border-radius: 18px;
    color: #1c1919;
    width: 7.4rem;
    border: none;
}

a {
    text-decoration: none;
    color: #f1f1f1;
}

a:hover {
    color: #f1f1f1;
    text-decoration: underline;
}

.details-light {
    font-family: 'Sora', sans-serif;
    font-weight: 600;
    text-align: center;
    background-color: #F08C01;
    font-size: 1.1rem;
    padding: 5px 10px;
    border-radius: 18px;
    color: #d8d8d8;
    max-width: 15%;
    margin: auto;
    border: none;
}

@media only screen and (max-width: 768px) {
    .details-light {
        max-width: 50%;
    }
}



.details-card {
    font-family: 'Sora', sans-serif;
    font-weight: 600;
    text-align: center;
    background-color: #f2473d;
    font-size: 1.1rem;
    padding: 5px 10px;
    border-radius: 18px;
    color: #1c1919;
    max-width: 70%;
    text-decoration: none;
}

.card-body > a {
    text-decoration: none;
}

.headimg2 {
    background-image: linear-gradient(
        to right bottom, 
        rgba(61, 61, 61, 0.6), 
        rgba(109, 109, 109, 0.6)) ,
        url(pics/main/citra-bg.webp);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
}

.headimg > img {
    max-width: 100%;
    height: auto;
}

.headimg2 > img {
    max-width: 100%;
    height: auto;
}

@media only screen and (max-width: 768px) {
    .headimg > img {
        position: relative;
        max-width: 12rem;
        margin-top: 55px;
        }
}

@media only screen and (max-width: 768px) {
    .headimg2 > img {
        position: relative;
        margin-top: 50px;
        margin-left: -110px;
        max-width: 18rem;
        }
}

.partnerlogo {
    width: calc(100vw/5);
    padding: 1rem;
    max-width: 10rem;
}

.logos {
    max-width: 80vw;
    margin: auto;
    padding-bottom: 3rem;
}

.cards {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

}

@media only screen and (max-width: 768px) {
    .cards {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }
}

.kategbtn {
    font-family: 'Sora', sans-serif;
    font-weight: 600;
    text-align: center;
    background-color: transparent;
    border-color: #F08C01;
    border-width: 0.125rem;
    font-size: 1.1rem;
    padding: 0.8rem 1.2rem;
    margin-top: 1rem;
    margin-left: 0.7rem;
    border-radius: 18px;
    color: #f1f1f1;
}

@media only screen and (max-width: 768px) {
.kategbtn {
    font-size: 0.85rem;
    padding: 0.4rem 1rem;
    margin-left: 0.5rem;
    margin-top: 0.6rem;
}
}

#craftszurok {
    display: none;
}

#lagerszurok {
    display: none;
}

#osszesszurok {
    display: none;
}

.kateg2btn {
    font-family: 'Sora', sans-serif;
    font-weight: 600;
    text-align: center;
    background-color: transparent;
    border-color: #9b9b9b;
    border-width: 0.125rem;
    font-size: 1.1rem;
    padding: 0.8rem 1.2rem;
    margin-top: 1rem;
    margin-left: 0.7rem;
    border-radius: 18px;
    color: #f1f1f1;
}

@media only screen and (max-width: 768px) {
.kateg2btn {
    font-size: 0.85rem;
    padding: 0.4rem 1rem;
    margin-left: 0.5rem;
    margin-top: 0.6rem;
}
}

.blur   {
    filter: blur(25px);
}
#csehsor-verif-bg    {
    position: fixed;
    display: none;
    left: 0px;
    top: 0px;
    right: 0px;
    bottom: 0px;
    background: rgba(27, 27, 27, 0.8);
    z-index: 999;
}

.csehsor-checker {
    background-color:#1c1919;
    text-align: center;
    display: block;
    justify-content: center;
    border: 3px solid #F08C01;
    border-radius: 10px;
    margin: auto;
    max-width: 30rem;
    margin-top: 20rem;
}

.sorcard {
    width: calc(100%/5);
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    border-radius: 2rem;
    border: 1px solid rgba(255, 255, 255, 0.26);
    padding: 1rem;
    margin: 1.3rem;
    box-shadow: 0 2px 4px 0 rgba(255, 255, 255, 0.2), 0 3px 8px 0 rgba(255, 255, 255, 0.19);
}

.sorok {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

.cardheader > img {
    width: 100%;
    height: auto;
    border-radius: 4rem 1.5rem 3rem 2rem;
    -webkit-mask-image: linear-gradient(black, transparent);
    mask-image: linear-gradient(black, transparent);
}

.nagycim {
    width: 100%;
    font-family: 'Sora', sans-serif;
    font-weight: 400;
    color: #f2473d;
    text-decoration: underline;
    font-size: 1.6rem;
    text-align: center;
    padding: 1rem 0 1rem 0;
}

.arlista {
    width: 95%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: auto;

}

.arlista table {
border-collapse: collapse;
width: 95%;
border-spacing: 0.5rem;
border-right: 1px solid #F08C01;
border-left: 1px solid #F08C01;

}

@media only screen and (min-width: 768px) {
    .arlista table {
        width: 70%;
        margin: auto;
    }
    }

.arlista tr {
    border-bottom: 2px solid #d8d8d86c;
}

.arlista tr, td {
    padding: 0.5rem 0 0.5rem 0;
}

.sornev2 {
    width: 26%;
    padding-right: 0.3rem;
}

.alk {
    width: 18%;
}
.urtart {
    width: 15%;
}
.ar {
    width: 30%;
    text-align: end;
}
/*INNEN VAN AZ ÚJ CSS 2023.03.24//////////////////////////////////////////////*/

.navbar {
    width: 100%;
    height: 15%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    background: transparent;
}

.navbar ul {
    display: flex;
    flex-direction: row;
    padding-right: 3rem;
    line-height: 2rem;
}

.navbar li {
    padding: 0 1.4rem 0 1.4rem;
    list-style: none;
    font-family: 'Sora', sans-serif;
    font-weight: 400;
    font-size: 1.1rem;
}
.navbar img {
    width: 15rem;
    height: auto;
}

@media only screen and (max-width: 1000px) {
    .navbar{
    flex-direction: column;
    align-self: flex-start;
    }
    .navbar ul {
        flex-direction: column;
        padding-right: 3rem;
        line-height: 4rem;
    }
    .nav-toggle {
        display: flex;
        align-self: flex-end;
        position: absolute;
        top: 0;
        cursor: pointer;
    }
    .navbar-items {
        display: none;
    }
    .nav-show {
        display: flex;
    }
    .nav-img {
        align-self: flex-start;
    }
}

@media only screen and (min-width: 1001px) {
    .nav-toggle {
        display: none;
    }
    .nyitva {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        margin: 1rem 1rem 1rem 1rem;
        color: whitesmoke;
      }
}

.nav-toggle img {
    width: 100%;
    height: auto;
}

.soroldal-adatlap {
    width: 90%;
    padding: 2rem;
    display: flex;
    justify-content: center;
    margin: auto;
}

.soroldal-adatok {
    width: 50%;
    flex-direction: column;
    border-left: 7px solid;
    border-image: linear-gradient(210deg, #f08c01, #f2473d) 1;
    padding-left: 1.5rem;
    order: 1;
    animation: borderanim 2s ease;
}

.soroldal-adatok h1 {
    animation: szovegbeuszas 2s ease-in-out;
}

.soroldal-adatok table {
    width: 100%;
    text-align: left;
    font-family: 'Epilogue', cursive;
    font-weight: 400;
    font-size: 1.2rem;
    color: rgba(245, 245, 245, 0.692);
}

.soroldal-kep{
    order: 2;
    align-items: flex-end;
}

.soroldal-kep img {
    width: 100%;
    height: auto;
    -webkit-mask-image: linear-gradient(black, transparent);
    mask-image: linear-gradient(black, transparent);
    animation: kepmegjelenes 3s ease-out;
}

section {
    width: 90%;
    margin: auto;
}

.infok {
    display: flex;
    flex-direction: row;
}

#leiras {
    width: 60%;
    order: 1;

}
#arak {
    width: 40%;
    order: 2;
}

.arlista2 {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 1rem;
}

.ar-card {
    background: linear-gradient(#1c1919, #1c1919) padding-box,
              linear-gradient(45deg, #F08C01, #f2473d) border-box;
    border: 5px solid transparent;
    border-radius: 2rem;
    flex-direction: column;
    text-align: center;
    display: flex;
    width: calc(100% / 2.5);
    
}
.ar-kep img{
    width: 6rem;
    height: auto;
    padding-top: 1.4rem;
}

.ar-cimke {
    font-family: 'Sora', sans-serif;
    font-size: 1.7rem;
    font-weight: 700;
    color: #F08C01;
    letter-spacing: 0.22rem;
    padding: 1.3rem;
}
.netto-ar {
    font-family: 'Epilogue', cursive;
    font-size: 1.2rem;
    font-weight: 400;
    color: whitesmoke;
}

.leiras22{
    font-family: 'Sora', sans-serif;
    font-weight: 400;
    font-size: 1.5rem;
    letter-spacing: 0.22rem;
    padding: 2.5rem;
    color: whitesmoke;
    border-left: 7px solid;
    border-image: linear-gradient(210deg, #f02501, #f2473d) 1;
    padding-left: 1.5rem;
    border-radius: 4rem;
}




footer {
    border-top: 7px solid;
    border-image: linear-gradient(210deg, #f08c01, #f2473d) 1;
    display: flex;
    flex-direction: column;

}
.footer-data {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    padding-top: 2rem;

}


.footer-copy {
    display: flex;
    justify-content: center;
    align-items: center;
}

.info3 {
    width: 40%;
    margin: 1rem;
}
 footer > button {
    color: white;
    width: 200px;
    height: 50px;
    background-color: black;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 30px;
    margin: 25px;
    border-radius: 20px;
    font-family: 'Sora', sans-serif;
    font-weight: 400;
    font-size: 1.3rem;
 }

@keyframes fentrolle {
    0% {height: 0%;}
    100% {height: 100%;}
}

@keyframes kepmegjelenes {
    0% {opacity: 0;}
    100% {opacity: 1;}
}
@keyframes eltunes {
    0% {opacity: 1;}
    100% {opacity: 0;}
}
@keyframes nagyleiras {
    0% {opacity: 0;}
    50% {opacity: 0.4;}
    70% {opacity: 0.6;}
    100% {opacity: 1;}
}

.js-scroll.nagyleiras {
    animation: nagyleiras 2s ease-in-out;
}

.js-scroll.fentrolle {
    animation: fentrolle 2s ease-in-out;
}

.js-scroll.eltunes {
    animation: eltunes 1s ease-out;
}

.scrolled.kepmegjelenes {
    animation: kepmegjelenes 3s ease-in-out;
}

@keyframes szovegbeuszas {
    0% {transform: translateX(-70%); opacity: 0;}
    50% {opacity: 0;}
    80% {opacity: 0.1;}
    100% {transform: translateX(0); opacity: 1;}
}

@keyframes borderanim {
    0% {border-left: 0px solid;}
    100% {border-left: 7px solid;}
}

.scrolled.szovegbeuszas {
    animation: szovegbeuszas 3s ease-in-out;
}

.cookie-text {
    display: flex;
    justify-content: center;
    justify-content: space-around;
    text-align: center;
    flex-direction: row;
}

.js-scroll {
    opacity: 0;
}

.js-scroll.scrolled {
    opacity: 1;
}

.kocka {
    width: 150px;
    height: 200px;;
    background-color: #f02501;
}

.card-sorgyar {
    font-family: 'Epilogue', cursive;
    font-weight: 200;
    font-size: 1rem;
    letter-spacing: 0.22rem;
    color: whitesmoke;
}

.card-sornev {
    font-family: 'Sora', sans-serif;
    font-weight: 800;
    font-size: 1.5rem;
    letter-spacing: 0.22rem;
    color: whitesmoke;
}
.card-leiras{
    font-family: 'Epilogue', cursive;
    font-weight: 200;
    font-size: 0.8rem;
    letter-spacing: 0.22rem;
    color: whitesmoke;
}

.card-kisz {
    display: flex;
    flex-direction: row;
    align-items: center;
}
.card-kisz >img {
    height: 3rem;
    width: auto;
}

.card-details {
    font-family: 'Sora', sans-serif;
    font-weight: 600;
    text-align: center;
    background-color: #f2473d;
    font-size: 1.1rem;
    padding: 5px 10px;
    margin-top: 1rem;
    border-radius: 18px;
    color: #1c1919;
    width: 7.4rem;
    border: none;
}

.sorok-cont {
    width: 95%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: baseline;
    margin: auto;
}
.sorok-cont > h2 {
    text-align: center;
    font-family: 'Sora', sans-serif;
    font-weight: 700;
    font-size: 2rem;
    color: whitesmoke;
}

.filter-sorgyar {
    display: none;
}

.filter-show{
    display: block;
}

.filters{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
}
.filter-main {
    display: flex;
    flex-direction: row;
}

.sorcard a, a:hover, a:visited, a:focus {
    text-decoration: none;
}
.cardheader {
    position: relative;
}
.cardheader button {
    position: absolute;
    top: 2%;
    left: 70%;
    transform: translate(-20%, -45%);
    -ms-transform: translate(-20%, -45%);
}

.keszletforms {
    display: flex;
    flex-direction: row;
    width: 660px;
    margin: auto;
}

.keszletform {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 650px;
}
.keszletform label {
    padding: 5px;
    font-family: 'Sora', sans-serif;
    color: #d8d8d8;
    font-size: 800;
    width: 60%;
}

.keszletform input {
    height: 35px;
    width: 20%;
    border-radius: 10px;
    text-align: center;
}
.keszletform button {
    width: 20%;
    height: 35px;
    background-color: #f02501;
    color: #d8d8d8;
    font-family: 'Sora', sans-serif;
    font-weight: 400;
    margin: 5px;

}

.kikapcsolas button {
    height: 35px;
    background-color: #f02501;
    color: #d8d8d8;
    font-family: 'Sora', sans-serif;
    font-weight: 400;
    margin: 5px;
    padding: 5px 10px;

}


.ajanlo {
    display: flex;
    width: 100%;
    flex-direction: column;
}

#ajanlat {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

#ujdonsag {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
}

.adv-1 {
    width: 100%;
    background-color: #9b9b9b;
    height: 60%;
    display: flex;
    flex-direction: row;
    gap: 3;
    justify-content: flex-end;
}
.kep1 {
    width: 250px;
    height: 450px;
    background-color: #f02501;
}
.kep2 {
    width: 250px;
    height: 450px;
    background-color: #f08c01;
}
.kep3 {
    width: 250px;
    height: 450px;
    background-color: #f2473d;
}

.szuro-main {
    display: flex;
    flex-direction: column;
}

.szuro-main p {
    color: #d8d8d8;
    font-family: 'Sora', sans-serif;
    font-weight: 800;
    font-size: 1.3rem;
    margin: 1rem;
}

.szuro-cards {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.mainheader {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
}

.secondheader {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
}

.mainfelirat {
    display: flex;
    flex-direction: column;
    width: 90%;
    padding-left: 5rem;
    background-image: linear-gradient(to left, #fff, #20ce20, rgb(196, 247, 56), rgb(198, 245, 29), #158123);
    background-clip: text;
    -webkit-background-clip: text;

}

.secondfelirat {
    display: flex;
    flex-direction: column;
    padding-left: 10rem;
    background-image: linear-gradient(63deg, #b0b305, rgb(177, 138, 32), rgb(66, 48, 11), #be9611);
    background-clip: text;
    -webkit-background-clip: text;

}


.head-1 {
    font-family: 'Sora', sans-serif;
    font-weight: 800;
    font-size: 4rem;
    color: white;
    text-transform: uppercase;
}

.head-2 {
    font-family: 'Sora', sans-serif;
    font-weight: 800;
    font-size: 6rem;
    color: transparent;
    text-transform: uppercase;
}

.head-3 {
    font-family: 'Sora', sans-serif;
    font-weight: 800;
    font-size: 4rem;
    color: #d8d8d8;
    text-transform: uppercase;
}

.head-4 {
    font-family: 'Sora', sans-serif;
    font-weight: 800;
    font-size: 6rem;
    color: transparent;
    text-transform: uppercase;
}

.leirash{
    font-family: 'Epilogue', cursive;
    font-size: 1rem;
    color: rgba(255, 255, 255, 0.67);
}

.mainbuttons {
    display: flex;
    flex-direction: row;
}
.btn-1 {
    width: 15rem;
    height: 5rem;
    background-image: linear-gradient(to right, #51d329, rgb(226, 223, 17), rgb(15, 90, 8));
    border: none;
    margin-right: 2rem;
    color: rgb(46, 45, 45);
    font-family: 'Sora', sans-serif;
    font-weight: 600;
    font-size: 1.6rem;
    border-radius: 5px;
}

.btn-2 {
    border: solid 5px transparent;
    background-image: linear-gradient(rgba(255, 255, 255, 0), 
    rgba(255, 255, 255, 0)), linear-gradient(to right, #9a39c7, rgb(62, 54, 177), rgb(158, 54, 40));    ;
    background-origin: border-box;
    background-clip: content-box, border-box;
    box-shadow: 2px 1000px 1px #1c1919 inset;
    color: white;
    font-family: 'Sora', sans-serif;
    font-weight: 600;
    font-size: 1.6rem;
    border-radius: 5px;
    width: 15rem;
    height: 5rem;
  }

  .btn-3 {
    border: solid 5px transparent;
    background-image: linear-gradient(rgba(255, 255, 255, 0), 
    rgba(255, 255, 255, 0)), linear-gradient(to right, #d4c708, rgb(236, 240, 25), rgb(78, 53, 5));    ;
    background-origin: border-box;
    background-clip: content-box, border-box;
    box-shadow: 2px 1000px 1px #1c1919 inset;
    color: white;
    font-family: 'Sora', sans-serif;
    font-weight: 600;
    font-size: 1.6rem;
    border-radius: 5px;
    width: 15rem;
    height: 5rem;
  }
  
  .nyitva {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 1rem 1rem 1rem 1rem;
    color: whitesmoke;
  }
  


.mainkep {
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    animation: kepmegjelenes 3s ease-out;
    margin: auto;
}

.mainkep img {
    height: auto;
    width: 90%;
    object-fit:fill;
}

.mainkep2 {
    display: flex;
    justify-content: center;
    align-items: start;
    padding-top: 2rem;
    width: 50%;
    -webkit-mask-image: linear-gradient(black, transparent);
    mask-image: linear-gradient(black, transparent);
    animation: kepmegjelenes 3s ease-out;
}

.mainkep2 img {
    height: 50%;
    width: auto;
}




@media only screen and (max-width: 1000px) {
    .szuro-cards {
    flex-wrap: nowrap;
    overflow: scroll;
    -ms-overflow-style: none;
    scrollbar-width: none;
}
    .szuro-cards::-webkit-scrollbar {
  display: none;
}



    .soroldal-adatlap {
        width: 98%;
        flex-direction: column;
    }
    .soroldal-kep{
        order: 1;
    }
    .soroldal-adatok{
        order: 2;
        width: 100%;
    }
    section {
        width: 95%;
    }
    #leiras {
        width: 100%;
        order: 2;
    }
    #arak {
        width: 100%;
        order: 1;
    }
    .infok {
        flex-direction: column;
    }
    .arlista2 {
        flex-direction: column;
        padding-bottom: 1.6rem;
    }
    .ar-cimke{
        font-size: 1.2rem;
    }
    .netto-ar{ 
        font-size: 0.8rem;
    }
    .leiras22{
        letter-spacing: 0.1rem;
        font-size: 1.1rem;
        padding: 1rem;
    }
    .ar-card {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
        width: 100%;
    }
    .footer-data{
        flex-direction: column;
    }
    .info3{
        width: 90%;
    }
    .sorcard {
        width: 45%;
        padding: 0;
        margin: 2%;
    }
      .card-kisz img {
        height: 2.2rem;
        width: auto;
    }
    .sorok-cont{
        width: 100%;
    }

    .sorok{
        flex-wrap: wrap;
        width: 100%;
        flex-direction: row;
    }

    .card-sorgyar {
        font-family: 'Epilogue', cursive;
        font-weight: 200;
        font-size: 0.7rem;
        letter-spacing: 0.11rem;
        color: #F08C01;
        padding-left: 0.5rem;
    }
    .card-sornev {
        font-size: 1rem;
        letter-spacing: 0.16rem;
        color: whitesmoke;
        padding-left: 0.5rem;
    }
    .card-leiras{
        font-family: 'Epilogue', cursive;
        font-weight: 200;
        font-size: 0.7rem;
        letter-spacing: 0.11rem;
        color: whitesmoke;
        padding-left: 0.5rem;
    }
    .card-details {
        font-family: 'Sora', sans-serif;
        font-weight: 600;
        text-align: center;
        background-color: #f2473d;
        font-size: 0.7rem;
        padding: 2px 4px;
        margin-top: 0.5rem;
        border-radius: 18px;
        color: #1c1919;
        width: 40%;
        border: none;
        margin: 0.3rem;
    }
    .cardheader {
        position: relative;
    }
    .cardheader button {
        position: absolute;
        top: 10%;
        left: 60%;
        transform: translate(-20%, -45%);
        -ms-transform: translate(-20%, -45%);
    }
    .link-card {
        display: flex;
        width: 100%;
    }
  
    .mainheader {
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
    }

    .secondheader {
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
    }
    
    .mainfelirat {
        display: flex;
        flex-direction: column;
        width: 100%;
        padding-left: 0.5rem;
        background-image: linear-gradient(to left, #fff, #05441a, rgb(162, 172, 21), rgb(232, 247, 31), #2bcc15);
        background-clip: text;
        -webkit-background-clip: text;
        order: 2;
    
    }
    
    .head-1 {
        font-family: 'Sora', sans-serif;
        font-weight: 800;
        font-size: 2.3rem;
        color: white;
        text-transform: uppercase;
    }
    
    .head-2 {
        font-family: 'Sora', sans-serif;
        font-weight: 800;
        font-size: 4rem;
        color: transparent;
        text-transform: uppercase;

    }
    
    .leirash{
        font-family: 'Epilogue', cursive;
        font-size: 1rem;
        color: rgba(255, 255, 255, 0.67);
    }
    
    .mainbuttons {
        display: flex;
        flex-direction: row;
    }

    
    .btn-1 {
        width: 10rem;
        height: 4rem;
        background-image: linear-gradient(to right, #12a72b, rgb(248, 235, 45), rgb(6, 119, 15));
        border: none;
        margin-right: 1rem;
        color: white;
        font-family: 'Sora', sans-serif;
        font-weight: 600;
        font-size: 0.8rem;
        border-radius: 5px;
    }
    
    .btn-2 {
        border: solid 5px transparent;
        background-image: linear-gradient(rgba(255, 255, 255, 0), 
        rgba(255, 255, 255, 0)), linear-gradient(to right, #9a39c7, rgb(62, 54, 177), rgb(158, 54, 40));    ;
        background-origin: border-box;
        background-clip: content-box, border-box;
        box-shadow: 2px 1000px 1px #1c1919 inset;
        color: white;
        font-family: 'Sora', sans-serif;
        font-weight: 600;
        font-size: 0.8rem;
        border-radius: 5px;
        width: 8rem;
        height: 4rem;
      }
      
      
    
    
    .mainkep {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: auto;
        animation: kepmegjelenes 3s ease-out;
       
    }
    
    .mainkep img {
        width: 100%;
        height: auto;
        object-fit:fill;
    }

    .mainkep2 {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: auto;
        -webkit-mask-image: linear-gradient(black, transparent);
        mask-image: linear-gradient(black, transparent);
        animation: kepmegjelenes 3s ease-out;
        order: 1;
    }
    
    .mainkep2 img {
        height: 50svh;
        width: auto;
    }

    .secondfelirat {
        padding-left: 0;
        order: 2;
    }
    .head-3 {
        font-size: 2.2rem;
    }
    .head-4 {
        font-size: 4.4rem;
    }
    

}

/* CSS animációk a loader-hez és az üzenethez */
@keyframes fadeInOut {
    0% { opacity: 0; }
    25% { opacity: 1; }
    75% { opacity: 1; }
    100% { opacity: 0; }
}

.loader-container {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(255, 255, 255, 0.9);
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    animation: fadeInOut 2s ease-in-out;
}

.loader {
    border: 8px solid #f3f3f3;
    border-top: 8px solid #3498db;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}


#arlista {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.arlistacard {
    width: 90%;
    display: flex;
    flex-direction: column;
    margin-bottom: 15px;
    border-bottom: 4px solid #d8d8d8;
}
.arlistabody{

    width: 90%;
}


.arlista-sorgyar {
    width: 100%;
    color: white;
    margin: 0 0 0 0;
}
.arlista-arak {
    font-family: 'Epilogue', cursive;
    font-weight: 200;
    font-size: 0.8rem;
    letter-spacing: 0.22rem;
    color: whitesmoke;
}